Bug 239773 - gfs2_grow is missing
gfs2_grow is missing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gfs2-utils (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Steve Whitehouse
bzcl34nup
:
Depends On: 234844 429769
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-11 05:00 EDT by Edouard Bourguignon
Modified: 2008-04-17 03:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.03.00-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 03:40:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edouard Bourguignon 2007-05-11 05:00:26 EDT
Description of problem:

gfs2_grow is missing in gfs2-utils, but we still have its man page


Version-Release number of selected component (if applicable):

gfs2-utils-0.1.25-1.fc6


How reproducible:

static

Steps to Reproduce:
1. yum install gfs2-utils
2. man gfs2_grow => OK
3. gfs2_grow => Command not found
4. rpm -ql gfs2-utils doesn't list any gfs2_grow binary
  
Actual results:

gfs2_grow is not present, so resizing gfs2 FS is impossible :(

Expected results:

gfs2_grow should be there, allowing to  resize gfs2 file systems

Additional info:

It seems that gfs2 tools are being rewritten, moving some functions inside a
libgfs2. Seems that patchs have been submitted for the rhel5 gfs2-utils package,
but are they going to be included in the fc6 gfs2-utils package? so that we can
use gfs2 in fedora. Thanks
Comment 1 Robert Peterson 2007-05-11 09:24:53 EDT
There are two parts to the gfs2_grow utility: the kernel part and the
userland part.  We have bugzilla records for RHEL5.1 for both parts:
For the kernel part we have bug 235430.  For userland we have bug 234844.
Normally, we make fixes for the upstream community first and then back-port
them to RHEL.  The code for 235430 is still somewhat in flux, but the
main function exists in the latest "nmw" git tree for gfs2, as of 10 May 
2007.  The code for 234844 is checked into the HEAD branch of cvs also
done 10 May, 2007.

If you need this function for FC6, you could, in theory, compile and
run the "nmw" upstream kernel and compile and install the userland bits
from cvs.  Let me know if you need more information on how to do this.

Since my main focus is RHEL, I don't know where the FC6 kernel is built
from, nor do I know which branch of cvs the userland stuff is built from.
For now, I'll consider this a build issue and redirect to Chris Feist
who handles most of that for cluster suite.
Comment 2 Steve Whitehouse 2007-05-11 10:07:14 EDT
sorry. missed that comment and managed to rewrite the bug status, just fixing it
again.
Comment 3 Bug Zapper 2008-04-04 03:13:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Steve Whitehouse 2008-04-14 05:58:49 EDT
Fixed in FC8 and in rawhide
Comment 5 Fedora Update System 2008-04-14 06:11:40 EDT
gfs2-utils-2.03.00-3.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-04-16 23:52:59 EDT
gfs2-utils-2.03.00-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.